From 2c4f49066fc92ed8074e528eb7709cfbc9d4a353 Mon Sep 17 00:00:00 2001
From: Francois-Xavier Coudert <fxcoudert@gcc.gnu.org>
Date: Fri, 18 Aug 2023 18:34:28 +0200
Subject: [PATCH] aarch64: fix format specifier

gcc/ChangeLog:

	* config/aarch64/falkor-tag-collision-avoidance.cc (dump_insn_list):
	Fix format specifier.
---
 gcc/config/aarch64/falkor-tag-collision-avoidance.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gcc/config/aarch64/falkor-tag-collision-avoidance.cc b/gcc/config/aarch64/falkor-tag-collision-avoidance.cc
index 39e3f5c2d1b..9b3357f5952 100644
--- a/gcc/config/aarch64/falkor-tag-collision-avoidance.cc
+++ b/gcc/config/aarch64/falkor-tag-collision-avoidance.cc
@@ -740,7 +740,7 @@ dump_insn_list (const rtx &t, const insn_info_list_t &insn_info,
 		void *unused ATTRIBUTE_UNUSED)
 {
   gcc_assert (dump_file);
-  fprintf (dump_file, "Tag 0x%lx ::\n", INTVAL (t));
+  fprintf (dump_file, "Tag 0x" HOST_WIDE_INT_PRINT_HEX_PURE " ::\n", INTVAL (t));
 
   for (unsigned i = 0; i < insn_info.length (); i++)
     dump_insn_slim (dump_file, insn_info[i]->insn);
-- 
2.39.2 (Apple Git-143)

